1 Reply Latest reply on Jan 30, 2009 1:30 PM by Liming Xu

    JAX-WS 2.0 and JAx-WS 2.1

    Liming Xu Newbie

      Hello all:

      i use the following

      JDK 5
      JBoss 4.2.3 GA
      JBossWS jbossws-native-3.0.5.GA
      NetBean 6.5

      I managed to created a JAX-WS web service successfully and deployed to JBoss. I'm able to view the wsdl file no problem either.

      However, in NetBean 6.5, when I tried to create web service client by pointing to the wsdl location, I get the following error

      You are loading JAX-WS 2.0 API from jar:file:./jboss-4.2.3.GA/client/jboss-jaxws.jar!/javax/xml/ws/Service.class but this tool requires JAX-WS 2.1 API.

      I'm wondering what am I doing wrong? If I switch the server to GlassFish1, then I don't get the issue at all.

      Any insight is greatly appreciate it.

      Thanks